Package org.opensaml.saml.metadata.resolver

# Interface MetadataResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `Resolver<EntityDescriptor,CriteriaSet>`

All Known Subinterfaces:
  `BatchMetadataResolver`, `ClearableMetadataResolver`, `DynamicMetadataResolver`, `RefreshableMetadataResolver`, `RemoteMetadataResolver`

All Known Implementing Classes:
  `AbstractBatchMetadataResolver`, `AbstractDynamicHTTPMetadataResolver`, `AbstractDynamicMetadataResolver`, `AbstractMetadataResolver`, `AbstractReloadingMetadataResolver`, `ChainingMetadataResolver`, `CompositeMetadataResolver`, `DOMMetadataResolver`, `FileBackedHTTPMetadataResolver`, `FilesystemMetadataResolver`, `FunctionDrivenDynamicHTTPMetadataResolver`, `HTTPMetadataResolver`, `LocalDynamicMetadataResolver`, `ResourceBackedMetadataResolver`

public interface MetadataResolver extends Resolver<EntityDescriptor,CriteriaSet>, IdentifiedComponent
A resolver that is capable of resolving `EntityDescriptor` instances which meet certain supplied criteria. At a minimum, a `MetadataResolver` implementation MUST support the following criteria:

- `EntityIdCriterion`

Implementations SHOULD also support the following criteria when possible:

- `EntityRoleCriterion`
- `ProtocolCriterion`
- `BindingCriterion`

## Method Summary

Modifier and Type
Method
Description
`MetadataFilter`
`getMetadataFilter()`
Gets the metadata filter applied to the metadata.
`String`
`getType()`
Gets the type of resolver for reporting or logging purposes.
`boolean`
`isRequireValidMetadata()`
Gets whether the metadata returned by queries must be valid.
`void`
`setMetadataFilter(MetadataFilter newFilter)`
Sets the metadata filter applied to the metadata.
`void`
`setRequireValidMetadata(boolean requireValidMetadata)`
Sets whether the metadata returned by queries must be valid.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Method Details

### getType

@Nullable @NotEmpty String getType()
Gets the type of resolver for reporting or logging purposes.

Returns:
  resolver type
Since:
  5.0.0

### isRequireValidMetadata

boolean isRequireValidMetadata()
Gets whether the metadata returned by queries must be valid.

At a minimum, metadata is valid only if the date expressed in the `validUntil` attribute of the element and all its ancestral elements has not passed. Specific implementations may add additional constraints.

Returns:
  whether the metadata returned by queries must be valid

### setRequireValidMetadata

void setRequireValidMetadata(boolean requireValidMetadata)
Sets whether the metadata returned by queries must be valid.

Parameters:
  `requireValidMetadata` - whether the metadata returned by queries must be valid

### getMetadataFilter

@Nullable MetadataFilter getMetadataFilter()
Gets the metadata filter applied to the metadata.

Returns:
  the metadata filter applied to the metadata

### setMetadataFilter

void setMetadataFilter(@Nullable MetadataFilter newFilter)
Sets the metadata filter applied to the metadata.

Parameters:
  `newFilter` - the metadata filter applied to the metadata